=== debian/changelog ===
deepin-turbo (0.0.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 22 Jan 2021 11:11:15 +0800

deepin-turbo (0.0.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 24 Nov 2020 13:09:43 +0800

deepin-turbo (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Packages <zs@deepin.com>  Thu, 30 Aug 2018 15:36:22 +0800
