=== debian/changelog ===
deepin-turbo (0.0.6.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 20 Oct 2021 14:53:37 +0800
