=== src/booster-desktop/CMakeLists.txt ===
--- 
+++ 
@@ -26,5 +26,5 @@
 
 # Add install rule
 install(TARGETS booster-desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/deepin-turbo/)
-install(FILES deepin-turbo-booster-desktop.service DESTINATION /usr/lib/systemd/user/)
+#install(FILES deepin-turbo-booster-desktop.service DESTINATION /usr/lib/systemd/user/)
 install(FILES desktop.conf DESTINATION /usr/lib/binfmt.d)
