=== src/booster-dtkwidget/CMakeLists.txt ===
--- 
+++ 
@@ -21,12 +21,12 @@
 
 # Find the QtWidgets library
 find_package(Qt5Widgets CONFIG REQUIRED)
-find_package(DtkWidget5.5 CONFIG REQUIRED)
+find_package(DtkWidget CONFIG REQUIRED)
 
 set(LINK_LIBS
     deepin-turbo
     Qt5::Widgets
-    ${DtkWidget5.5_LIBRARIES}
+    ${DtkWidget_LIBRARIES}
     )
 
 # Set sources
@@ -41,4 +41,4 @@
 
 # Add install rule
 install(TARGETS booster-dtkwidget DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/deepin-turbo/)
-install(FILES deepin-turbo-booster-dtkwidget.service DESTINATION /usr/lib/systemd/user/)
+#install(FILES deepin-turbo-booster-dtkwidget.service DESTINATION /usr/lib/systemd/user/)
